## org.apache.aries.subsystem.core.archive
Class StartOrderDirective

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractDirective
              org.apache.aries.subsystem.core.archive.StartOrderDirective

All Implemented Interfaces:
  Directive, Parameter

    public class StartOrderDirective

extends AbstractDirective

Field Summary
`static String` `NAME`

Constructor Summary
`StartOrderDirective(String value)`

Method Summary
`int` `getStartOrder()`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractDirective
`getValue, toString`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### StartOrderDirective

    public StartOrderDirective(String value)

Method Detail

### getStartOrder

    public int getStartOrder()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.